Update a resource alias.
curl --request PATCH \
--url https://vanguard.profilebehavior.com/api/v4/resource-alias/{resourceAliasId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceId": "<string>",
"consumerKey": "<string>"
}
'import requests
url = "https://vanguard.profilebehavior.com/api/v4/resource-alias/{resourceAliasId}"
payload = {
"resourceId": "<string>",
"consumerKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resourceId: '<string>', consumerKey: '<string>'})
};
fetch('https://vanguard.profilebehavior.com/api/v4/resource-alias/{resourceAliasId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"resourceAlias": {
"resourceType": "profile",
"resourceId": "6592008029c8c3e4dc76256c",
"consumerKey": "group_1"
},
"status": "success"
}{
"code": 400,
"error": {
"message": "Invalid request body",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 401,
"error": {
"message": "Invalid token",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}Resource Alias
Update Resource Alias
Updates an existing resource alias resourceId or consumerKey.
PATCH
/
resource-alias
/
{resourceAliasId}
Update a resource alias.
Authorizations
M2MOAuth2
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource alias to update.
Body
application/json
The properties to be updated for the resource alias.
Response
Success
Standard response object for successful single-resource requests in the Profile Behavior API. Contains an HTTP status code, the returned resource data, and a status indicator.
Was this page helpful?
⌘I